Subject: [Tools-discuss] Python htmlization library

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 11 Jul 2017 19:37:08 +0200

Hi,

The code which does htmlization of internet-drafts and rfcs on
tools.ietf.org/html/ is now available as a standalone python
module, at https://pypi.python.org/pypi/rfc2html.  Install it
with '$ pip install rfc2html'.

Please note that this provides the htmlization of the documents,
but not the page top which contains document meta-information;
that meta-information needs access to document-specific data
outside of what is present in the document itself, and needs to
be built to match the local database tables etc. if you want to
provide a full match of what tools.ietf.org/html/ gives.

The rfc2html module is in use in the datatracker.

Best regards,

	Henrik